config:logging

NAME
config:logging - Enables and configures logging parameters.

SYNOPSIS
config:logging [options]

DESCRIPTION
Use the config:logging command to enable and configure logging. Use the config:logging command to specify format, type, storage, splitting, rolling, and other parameters. When you execute the config:logging command, you must use one of the options described below.

OPTIONS
The following options are supported for the config:logging command:

  event <enabled | trans-only | error-only | disabled>
Enables and disables event logging. Type trans-only to log only transactions. Type error-only to log only errors. Type enabled to enable full logging that includes errors and transactions. Type disabled to disable logging completely. (The default value is enabled.)

  mgmt-directory <dir>
Specifies the full path to the logging directory. (The default is /home/inktomi/5.0.0/logs.)

  space-limit <mb>
Specifies the amount of space allocated to the logging directory in MB. (The default value is 2000MB.)

  space-headroom <mb>
Specifies the tolerance for the log space limit.(The default value is 10MB.)

  collation-status <inactive | host | send-standard | send-custom | send-all>
Specifies the log collation mode. Type inactive to disable collation. Type host to specify the local host as a collation server. Type send-standard to specify the local host as collation client that sends entries using standard formats to the collation server. Type send-custom to specify this host as a collation client that sends entries using the traditional custom formats to the collation server. Type send-all to specify this host as a collation client that sends entries that use both the standard and traditional custom formats to the collation server. (The default value is inactive.)

  collation-host <host>
Specifies the hostname of the log collation server. (The default value is NULL.)

  collation secret <secret> tagged <on | off> orphan-limit <orphan>
Specifies the password used to validate logging data and prevent the exchange of unauthorized information when a collation server is being used. (The default value is foobar.) Specifies the tagged option in log entry. When enabled (on), configures Traffic Server to include the hostname of the collation client that generated the log entry in each entry. (The default value is off.) Specifies the storage limit for orphan files in MB. (The default value is 25.)

  format <squid | netscape-common | netscape-ext | netscape-ext2> <on|off> type <ascii | binary> file <file> header <header>
Specifies which logging formats you want on/off. Also specifies the log file type (ASCII or binary), file name, and header text. The default log file format (on) is the Squid format. The default values for all formats are as follows:

Squid Format ----------------------------- on
  File Type ------------------------------ ASCII
  File Name ------------------------------ squid
  File Header ---------------------------- NULL
Netscape Common -------------------------- off
  File Type ------------------------------ ASCII
  File Name ------------------------------ common
  File Header ---------------------------- NULL
Netscape Extended ------------------------ off
  File Type ------------------------------ ASCII
  File Name ------------------------------ extended
  File Header ---------------------------- NULL
Netscape Extended2 ----------------------- off
  File Type ------------------------------ ASCII
  File Name   ---------------------------- extended2
  File Header ---------------------------- NULL

  splitting <icp | http> <on | off>
Enables (on) or disables (off) log splitting for ICP, and HTTP. When enabled, the proxy stores the transactions for the protocol you choose in a separate log file. (The default value is off for ICP and HTTP.) Enables (on) or disables (off) custom logging. When you enable custom logging, you must specify the format, traditional or XML. (The default values are off for custom logging and traditional for format.)

  rolling <on | off> offset <hour> interval <num-hours> auto-delete <on | off>
Enables (on) or disables (off) log file rolling. (The default value is on.) The offset <hour> parameter specifies the hour of the day that starts the log rolling period. (The default value is 0.) The interval <num-hours> parameter specifies the log file rolling interval. (The default value is 86400 seconds.) The auto-delete <on | off> parameter enables (on) or disables (off) the automatic deletion of rolled log files. (The default value is on.)

EXAMPLES

  Example 1. Enabling error and transaction logging

traffic_shell> config:logging event enabled
traffic_shell>

  Example 2. Specifying the full path to the logging directory

traffic_shell> config:logging mgmt-directory /home/inktomi/rc4/logs
traffic_shell>

  Example 3. Specifying logging directory storage allocation (MB)

traffic_shell> config:logging space-limit 10
traffic_shell>

  Example 4. Specifying the tolerance for the log space limit

traffic_shell> config:logging space-headroom 100
traffic_shell>

  Example 5. Configuring the host to send entries using the

  traditional custom formats to the collation server

traffic_shell> config:logging collation-status send-custom
traffic_shell>

  Example 6. Specifying the hostname (jupiter) of the log

  collation server

traffic_shell> config:logging collation-host jupiter
traffic_shell>

  Example 7. Specifying the password used to validate logging

  data, configuring logging to include the hostname

  of the collation, and specifying 10MB as the

  storage limit for orphan files

traffic_shell> config:logging collation secret foobar tagged on orphan-limit 10
traffic_shell>

  Example 8. Enabling the Squid logging format, and specifying

  the ASCII file type and squid.log file name

traffic_shell> config:log format squid on type ascii file squid.log
traffic_shell>

  Example 9. Enabling custom XML logging

traffic_shell> config:logging custom on format xml
traffic_shell>

  Example 10. Enabling log rolling, to begin rolling at

  midnight, with an interval of 60 seconds and

  no automatic deletion of rolled files

traffic_shell> config:logging rolling on offset 0 interval 1 auto-delete off
traffic_shell>

SEE ALSO
show:logging, show:logging-stats